#!/bin/bash

function sed_replace {
    if [ "$2" = "" ] 
    then
        echo Usage: replace REPLACE_STRING FILE
    else
        sed "$1" $2 > /tmp/aclsk15
        mv /tmp/aclsk15 $2
    fi
}

function to_lower {
    echo $1 > /tmp/name.txt
    sed_replace 's/A/a/g' /tmp/name.txt
    sed_replace 's/B/b/g' /tmp/name.txt
    sed_replace 's/C/c/g' /tmp/name.txt
    sed_replace 's/D/d/g' /tmp/name.txt
    sed_replace 's/E/e/g' /tmp/name.txt
    sed_replace 's/F/f/g' /tmp/name.txt
    sed_replace 's/G/g/g' /tmp/name.txt
    sed_replace 's/H/h/g' /tmp/name.txt
    sed_replace 's/I/i/g' /tmp/name.txt
    sed_replace 's/J/j/g' /tmp/name.txt
    sed_replace 's/K/k/g' /tmp/name.txt
    sed_replace 's/L/l/g' /tmp/name.txt
    sed_replace 's/M/m/g' /tmp/name.txt
    sed_replace 's/N/n/g' /tmp/name.txt
    sed_replace 's/O/o/g' /tmp/name.txt
    sed_replace 's/P/p/g' /tmp/name.txt
    sed_replace 's/Q/q/g' /tmp/name.txt
    sed_replace 's/R/r/g' /tmp/name.txt
    sed_replace 's/S/s/g' /tmp/name.txt
    sed_replace 's/T/t/g' /tmp/name.txt
    sed_replace 's/U/u/g' /tmp/name.txt
    sed_replace 's/V/v/g' /tmp/name.txt
    sed_replace 's/W/w/g' /tmp/name.txt
    sed_replace 's/X/x/g' /tmp/name.txt
    sed_replace 's/Y/y/g' /tmp/name.txt
    sed_replace 's/Z/z/g' /tmp/name.txt
    cat /tmp/name.txt
    rm /tmp/name.txt
}

function create {
    rm -f team.properties
    echo "#Tue Dec 21 18:03:41 EST 1999" >> team.properties
    echo "" >> team.properties
    echo "# DEFAULT COLORS" >> team.properties
    echo "DefaultTeam.primaryColor=003399" >> team.properties
    echo "DefaultTeam.secondaryColor=F0F0D2" >> team.properties
    echo "DefaultTeam.textColor=CCCCCC" >> team.properties
    echo "DefaultTeam.logo=defaultteam.gif" >> team.properties
    echo "" >> team.properties
    echo "FreeAgents.abbv=FA" >> team.properties
    echo "" >> team.properties
    echo "# SPECIFIC TEAM COLORS" >> team.properties

    cat temp.txt |
    while read -r line
    do  
	echo $team ...
        echo $line > foo.txt
        export team=`sed 's/ //g' foo.txt`
        echo $team.primaryColor=003399>> team.properties
        echo $team.secondaryColor=F0F0D2 >> team.properties
        echo $team.textColor=CCCCCC >> team.properties
        echo `echo $team | cut -c1-3` > bar.txt
        echo $team.abbv=`tr '[a-z]' '[A-Z]' < bar.txt` >> team.properties
        echo $team.city=`sed 's/ .*$//1' foo.txt` >> team.properties
        echo $team.logo=`to_lower $team.gif` >> team.properties
        
        echo  >> team.properties
    done
    rm foo.txt
    rm bar.txt
}

echo "Which roster file should I use?"
echo "-- Hit Enter for 'all_rost05.htm', or type in the name of the file to use --"
read answer

if [ "$answer" = "" ]
then 
    export answer=all_rost05.htm	
fi

echo Creating...
grep "Team Roster" ../data/$answer > temp.txt
sed_replace 's/ Team Roster//g' temp.txt
create
rm temp.txt
unix2dos team.properties
echo Done!